aboutsummaryrefslogtreecommitdiff
path: root/dev
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2008-03-05 14:56:52 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2008-03-05 14:56:52 +0000
commit54f4cd2ac62bcd5177987c686564287ff8247f6f (patch)
tree9511b7e748dd1a335b95f03fa04afd23edd6f296 /dev
parent1bc8f0ab6ee792c9c8261749f004ac50d2ca5e65 (diff)
downloadslackbuilds-54f4cd2ac62bcd5177987c686564287ff8247f6f.tar.gz
slackbuilds-54f4cd2ac62bcd5177987c686564287ff8247f6f.tar.bz2
perl-devel-dprof: fixed from the right model file
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1641 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'dev')
-rwxr-xr-xdev/perl/perl-devel-dprof/perl-devel-dprof.SlackBuild18
1 files changed, 12 insertions, 6 deletions
diff --git a/dev/perl/perl-devel-dprof/perl-devel-dprof.SlackBuild b/dev/perl/perl-devel-dprof/perl-devel-dprof.SlackBuild
index d690cdb2..bdcf0187 100755
--- a/dev/perl/perl-devel-dprof/perl-devel-dprof.SlackBuild
+++ b/dev/perl/perl-devel-dprof/perl-devel-dprof.SlackBuild
@@ -66,7 +66,7 @@ ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
# Clean up any leftovers of previous builds
-rm -rf "$PKG_WORK" 2> /dev/null
+rm -rf "$PKG_SRC" 2> /dev/null
rm -rf "$PKG" 2> /dev/null
# Create directories if necessary
@@ -86,14 +86,11 @@ fi
# Untar
cd "$PKG_WORK"
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
-PKG_SRC="$PWD/`ls -l | awk '/^d/ { print $8 }'`"
+PKG_SRC=`ls -l | awk '/^d/ { print $8 }'`
cd "$PKG_SRC"
# Configure
-CFLAGS="$SLKCFLAGS" \
- CXXFLAGS="$SLKCFLAGS" \
- ./configure \
- --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
+perl Makefile.PL || exit $ERROR_CONF
# Compile
make $NUMJOBS || exit $ERROR_MAKE
@@ -101,6 +98,15 @@ make $NUMJOBS || exit $ERROR_MAKE
# Install
make install DESTDIR="$PKG" || exit $ERROR_INSTALL
+# Fix .packlist
+cd $PKG
+
+string="`echo $PKG | sed -e 's/\//\\\\\//g'`"
+for file in `find -name .packlist`; do
+ sed -e "s/^$string//g" $file > $file.tmp
+ mv $file.tmp $file
+done
+
# Strip binaries
( cd "$PKG"
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \